FROM continuumio/miniconda3

# Create the conda environment:
COPY conda/mkl-dev-environment.yml .
RUN conda env create -f mkl-dev-environment.yml

# Make RUN commands use `bash --login`:
SHELL ["/bin/bash", "--login", "-c"]

# initiate and activate the conda environment:
RUN conda init bash
RUN conda activate gstlal-mkl-dev

# Make RUN commands use the new environment:
#SHELL ["conda", "run", "-n", "gstlal-mkl-dev", "/bin/bash", "-c"]

# create gstlal-related build variables:
ENV MKLROOT ${CONDA_PREFIX}
ENV CONDA_BUILD 1
ENV PREFIX ${CONDA_PREFIX}
ENV PKG_CONFIG_PATH ${CONDA_PREFIX}/lib/pkgconfig
ENV GST_PLUGIN_PATH ${CONDA_PREFIX}/lib/gstreamer-1.0
ENV MKL_INTERFACE_LAYER LP64
ENV MKL_THREADING_LAYER SEQUENTIAL

#ENTRYPOINT ["conda", "run", "--no-capture-output", "-n", "gstlal-mkl-dev", "bash"]
ENTRYPOINT conda activate gstlal-mkl-dev && \
           bash
